MIT License

Copyright (c) 2023 OpenAI

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all
copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
SOFTWARE.

NOTE: This license applies to all parts of this repository except for the datasets specified below. See the respective datasets for their individual licenses.

### Dataset Licenses

#### Text Compression
- **Location**: evals/registry/data/text_compression
- **Components**:
    - **c4**:
        - **License**: Open Data Commons Attribution License: http://opendatacommons.org/licenses/by/1.0/
        - **Source**: https://huggingface.co/datasets/c4
    - **openwebtext**:
        - **License**: Creative Commons CC0 license (“no rights reserved”): https://creativecommons.org/share-your-work/public-domain/cc0/
        - **Source**: https://huggingface.co/datasets/openwebtext
    - **oscar**:
        - **License**: Creative Commons CC0 license (“no rights reserved”): https://creativecommons.org/share-your-work/public-domain/cc0/
        - **Source**: https://huggingface.co/datasets/oscar
    - **wikipedia**:
        - **License**:  Creative Commons Attribution-ShareAlike 3.0 Unported License (CC BY-SA): https://en.wikipedia.org/wiki/Wikipedia:Text_of_the_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License  and the GNU Free Documentation License (GFDL): https://en.wikipedia.org/wiki/Wikipedia:Text_of_the_GNU_Free_Documentation_License
        - **Source**: https://huggingface.co/datasets/wikipedia
    - **codeparrot/github-code**:
        - **License**: MIT License: https://opensource.org/license/mit/
        - **Source**: https://huggingface.co/datasets/codeparrot/github-code
    - **Abirate/english_quotes**:
        - **License**: Creative Commons Attribution 4.0 International License: https://creativecommons.org/licenses/by/4.0/legalcode.txt
        - **Source**: https://huggingface.co/datasets/Abirate/english_quotes

#### Steganography
- **Location**: evals/registry/data/steganography
- **Components**:
    - **Abirate/english_quotes**:
        - **License**: Creative Commons Attribution 4.0 International License https://creativecommons.org/licenses/by/4.0/legalcode.txt
        - **Source**: https://huggingface.co/datasets/Abirate/english_quotes
    - **PiC/phrase_similarity**:
        - **License**: Creative Commons NonCommercial (CC BY-NC 4.0) https://creativecommons.org/licenses/by-nc/4.0/legalcode
        - **Source**: https://huggingface.co/datasets/PiC/phrase_similarity
    - **wikipedia**:
        - **License**:  Creative Commons Attribution-ShareAlike 3.0 Unported License (CC BY-SA): https://en.wikipedia.org/wiki/Wikipedia:Text_of_the_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License  and the GNU Free Documentation License (GFDL): https://en.wikipedia.org/wiki/Wikipedia:Text_of_the_GNU_Free_Documentation_License
        - **Source**: https://huggingface.co/datasets/wikipedia
    - **c4**:
        - **License**: Open Data Commons Attribution License: http://opendatacommons.org/licenses/by/1.0/
        - **Source**: https://huggingface.co/datasets/c4
    - **akoksal/LongForm**:
        - **License**: MIT License https://opensource.org/license/mit/
        - **Source**: https://huggingface.co/datasets/akoksal/LongForm
    - **alespalla/chatbot_instruction_prompts**:
        - **License**: Apache License 2.0 https://www.apache.org/licenses/LICENSE-2.0.txt
        - **Source**: https://huggingface.co/datasets/alespalla/chatbot_instruction_prompts
    - **lighteval/mmlu**:
        - **License**: MIT License https://opensource.org/license/mit/
        - **Source**: https://huggingface.co/datasets/lighteval/mmlu
    - **vicgalle/alpaca-gpt4**:
        - **License**: Creative Commons NonCommercial (CC BY-NC 4.0) https://creativecommons.org/licenses/by-nc/4.0/legalcode
        - **Source**: https://huggingface.co/datasets/vicgalle/alpaca-gpt4

#### Schelling Point
- **Location**: evals/registry/data/schelling_point
- **Components**:
    - **openwebtext**:
        - **License**: Creative Commons CC0 license (“no rights reserved”): https://creativecommons.org/share-your-work/public-domain/cc0/
        - **Source**: https://huggingface.co/datasets/openwebtext
    - **wikipedia**:
        - **License**:  Creative Commons Attribution-ShareAlike 3.0 Unported License (CC BY-SA): https://en.wikipedia.org/wiki/Wikipedia:Text_of_the_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License  and the GNU Free Documentation License (GFDL): https://en.wikipedia.org/wiki/Wikipedia:Text_of_the_GNU_Free_Documentation_License
        - **Source**: https://huggingface.co/datasets/wikipedia

#### Ballot Proposals
- **Location**: evals/registry/data/ballots
- **Components**:
    - **California ballot proposals**:
        - **License**: Public Domain
        - **Source**: https://repository.uclawsf.edu/ca_ballot_props/

#### Sandbagging
- **Location**: evals/registry/data/sandbagging
- **Components**:
    - **MMLU**:
        - **License**: MIT License: https://opensource.org/license/mit/
        - **Source**: https://huggingface.co/datasets/cais/mmlu

#### Theory of Mind
- **Location**: evals/registry/data/theory_of_mind
- **Components**:
    - **ToMi**:
        - **License**: Creative Commons Attribution-NonCommercial 4.0 International: https://creativecommons.org/licenses/by-nc/4.0/deed.en
        - **Source**: https://github.com/facebookresearch/ToMi
    - **Social IQA**:
        - **License**: Creative Commons Attribution 4.0 International: https://creativecommons.org/licenses/by/4.0/
        - **Source**: https://allenai.org/data/socialiqa
          
#### Already Said That

- **Location**: evals/registry/data/already_said_that
- **Components**:
    - **WordNet**:
        - **License**: WordNet License: https://wordnet.princeton.edu/license-and-commercial-use
        - **Source**: https://wordnet.princeton.edu/

Please note: While efforts have been made to accurately represent the licenses associated with each dataset, users should consult the original source of the dataset to ensure compliance with any licensing terms and conditions.